Blackhold

Upgradear de Lenny a Squeeze

Posted on febrer 19th, 2009 by admin

Hace pocos días hablábamos de la liberación de Lenny como estable, esto significa que todos los que solemos trabajar en testing para disponer de las últimas versiones de los programas instalados en nuestro sistema ahora estamos en un sistema estable, a partir de ahora los cambios que se realizarán serán actualizaciones de seguridad.

Como queremos seguir usando las últimas versiones de nuestros programas favoritos debemos actualizar nuestro sistema.

Lo primero es editar el fichero /etc/apt/sources.list y cambiar todo lo que sea lenny a squeezy (además de realizar antes una copia de seguridad de tus ficheros y configuraciones):

# vi /etc/apt/sources.list
deb http://ftp.de.debian.org/debian/ squeeze main contrib non-free
deb-src http://ftp.de.debian.org/debian/ squeeze main contrib non-free

deb http://security.debian.org/ squeeze/updates main
deb-src http://security.debian.org/ squeeze/updates main

#debian-multimedia
deb http://www.debian-multimedia.org squeeze main

guardamos el fichero, y ahora fijémonos que usamos aptitude en lugar de apt-get, los dos hacen lo mismo, pero en algunos foros he leído que es recomendable usar aptitude para realizar los upgrades (apt-get dist-upgrade), además por experiencia una vez me petó un sistema por usar apt-get :( no vayámosnosla a jugarla…

# aptitude update
# aptitude install apt dpkg aptitude
# aptitude full-upgrade

una vez terminada la actualización reiniciamos y cruzamos los dedos.

vale, como siempre, al momento que escribo el post lo voy probando, así puedo indicar si aparecen problemas y como resolverlos.

al gdm le ha costado un poco arrancar, pero finalmente ha arrancado correctamente, la versión de gnome que tengo ahora mismo es la misma.

en el upgrade tampoco ha habido actualización de kernel, el esperado 2.6.27 supongo que vendrá en unas semanas, además de muchos otros paquetes esperados como openoffice 3 el cual voy a instalar justo actualizar el plugin pdfimport, que permite modificar ficheros pdf no protegidos por contraseña.

un pequeño paso de blackhold, pero gigante para el proyecto debian.

This entry was posted on dijous, febrer 19th, 2009 at 21:41 and is filed under Linux. You can follow any responses to this entry through the RSS 2.0 feed. You can leave a response, or trackback from your own site.

5 Responses to “Upgradear de Lenny a Squeeze”

Leave a Response

« »

guy fawkes